% transforme les disparites du fichier
% disp.dat en une image en niveau de gris
% avec une multiplication des disparites
% par un coefficient

clear all;
clc;

dis = load('disp.dat');
dis = abs(dis);

dmax = max(max(dis));
I = find(dis ~= 0);
disp(['disparit max = ' num2str(dmax)])
disp(['disparit min = ' num2str(min(min(dis(I))))])


coeff = floor(255/dmax);
disp(['coefficient multiplicateur = ' num2str(coeff)])

dis = round(dis * coeff);

dis = dis/255; 
imwrite(dis, 'disp.pgm')

%clear all;