% transforme les disparites du fichier
% disp.dat en une image en niveau de gris
% avec une transformation 
% (ajustez les parametres si besoin)

clear all;
clc;

dis = load('disp.dat');
dis = abs(dis);

dmax = max(max(dis));
I = find(dis ~= 0);
disp(['disparit max = ' num2str(dmax)])
disp(['disparit min = ' num2str(min(min(dis(I))))])

dis2 = zeros(size(dis,1), size(dis,2));
dis2(I) = (dis(I)-min(min(dis(I)))) / (max(max(dis(I)))-min(min(dis(I)))) * 155/255 + 100.5/255;

imwrite(dis2, 'disp.pgm')

